#version 330
out vec4 outputColor;

in vec2 texCoord;
in vec4 color;

uniform bool textured;
uniform sampler2D texture0;

void main()
{
    if (textured) {
        outputColor = texture(texture0, texCoord) * color;
    } else {
        outputColor = color;
    }
}