using System;

namespace SlatedGameToolkit.Tools.CommandSystem.Interaction
{
    public class ConsoleInteraction : IInteractable
    {
        string prefix;
        public ConsoleInteraction(string prefix) {
            this.prefix = prefix;
        }

        public void Separate()
        {
            Console.WriteLine();
        }

        public string Listen()
        {
            Console.Write(prefix + "> ");
            return Console.ReadLine();
        }

        public void Tell(string message)
        {
            Console.WriteLine(message);
        }
    }
}